[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.Focused

Checks whether the control has focus.

## Declaration

Source position: controls.pp line 2401

`public function TWinControl.Focused: Boolean; virtual;`

## Function result

True when the control has focus.

## Description

Focused is a Boolean function which indicates whether the control can be and is the currently focused control. The return value is True when the control can become focused during tab order navigation, has a valid Handle, and is the currently focused control in the widgetset class instance.

## See also

TWinControl.CanTab |  | Indicates whether the Tab key can be used for keyboard navigation in the control.
FindOwnerControl |  | Returns the TWinControl for the given Handle; the parent control for a non-TWinControl Handle.